Table of Contents

Class: DebugUI | eric3/Debugger/DebugUI.py
--- | ---

Class implementing the debugger part of the UI.

Base Classes |
--- | ---
QObject

Methods |
--- | ---

__init__
checkActions
enterRemote
getActions
getAllBreakpoints
getClientVariables
getFileBreakpoints
getProjectBreakpoints
handleAllBp
handleAllFileBp
handleBreakpointSelected
handleClearBreakpoints
handleClientClearBreak
handleClientGone
handleClientVariable
handleClientVariables
handleConfigFilters
handleContinue
handleCoverage
handleCoverageProject
handleCoverageScript
handleCursorChanged
handleDebug

handleDebugProject
handleDebugScript
handleEditBreakpoint
handleEditorOpened
handleEval
handleException
handleExceptionsFilter
handleExec
handleExit
handleLastEditorClosed
handleLineChange
handleNextBreakpoint
handlePassiveDebugStarted
handlePreviousBreakpoint
handleProfile
handleProfileProject
handleProfileScript
handleProjectBp
handleProjectClosed
handleProjectOpened
handleProjectSessionLoaded
handleRestart
handleRun

handleRunProject
handleRunScript
handleShowBreakpointsMenu
handleStep
handleStepOut
handleStepOver
handleStepQuit
handleSyntaxError
handleToggleBreakpoint
initActions
initMenu
initToolbar
newBreakpointWithProperties
resetUI
setArgvHistory
setBreakpointProperties
setExcList
setExceptionReporting
setWdHistory
shutdownServer
toggleBreakpoint

| __init__

    __init__ (
            self,
            ui,
            vm,
            dbs,
            sbv,
            )

### Constructor

#### Arguments

ui
  reference to the main UI
vm
  reference to the viewmanager
dbs
  reference to the debug server
sbv
  reference to the shell/browser/variables/exception widget

#### Signals

clientStack
  emitted at breaking after a reported exception

| checkActions

    checkActions ( self,  editor )

### Private slot to check some actions for their enable/disable status.

#### Arguments

editor
  editor window

| enterRemote

    enterRemote ( self )

### Private method to update the user interface.

This method is called just prior to executing some of the program being debugged.

| getActions

    getActions ( self )

### Public method to get a list of all actions.

#### Returns

list of all actions (list of QAction)

| getAllBreakpoints

    getAllBreakpoints ( self )

### Public method to get all breakpoints

#### Returns

list of all breakpoints

| getClientVariables

    getClientVariables ( self )

### Private method to request the global and local variables.

In the first step, the global variables are requested from the client. Once these have been received, the local variables are requested. This happens in the method `handleClientVariables`.

| getFileBreakpoints

    getFileBreakpoints ( self,  fn )

### Public method to get all file breakpoints.

#### Arguments

fn
  filename (string)

#### Returns

list of file breakpoints

| getProjectBreakpoints

    getProjectBreakpoints ( self )

### Public method to get all breakpoints of the current project

#### Returns

list of breakpoints belonging to the current project

| handleAllBp

    handleAllBp ( self )

Private slot for displaying all breakpoints.

| handleAllFileBp

    handleAllFileBp ( self )

Private slot for displaying the breakpoints of the current file.

| handleBreakpointSelected

    handleBreakpointSelected ( self,  id )

### Private method to handle the breakpoint selected signal.

#### Arguments

id
  index of the selected menu entry This acts as an index into the list of breakpoints that was created, when the breakpoints menu was built.

| handleClearBreakpoints

    handleClearBreakpoints ( self )

Private slot to handle the `Clear breakpoints` action.

| handleClientClearBreak

    handleClientClearBreak (
            self,
            filename,
            lineno,
            )

Private method to clear a temporary breakpoint.

| handleClientGone

    handleClientGone ( self,  unplanned )

### Private method to handle the disconnection of the debugger client.

#### Arguments

unplanned
  1 if the client died, 0 otherwise

| handleClientVariable

    handleClientVariable ( self,  vars )

### Private method to write the contents of a clients classvariable to the user interface.

#### Arguments

vars
  the list of members of a classvariable from the client

| handleClientVariables

    handleClientVariables ( self,  vars )

### Private method to write the clients variables to the user interface.

#### Arguments

vars
  the list of variables from the client

| handleConfigFilters

    handleConfigFilters ( self )

Private slot for displaying the variables filter configuration dialog.

| handleContinue

    handleContinue ( self )

Private method to handle the Continue action.

| handleCoverage

    handleCoverage ( self,  runProject )

### Private method to handle the coverage actions.

#### Arguments

runProject
  flag indicating coverage of the current project (1) or script (0)

| handleCoverageProject

    handleCoverageProject ( self )

Private slot to handle the coverage of project action.

| handleCoverageScript

    handleCoverageScript ( self )

Private slot to handle the coverage of script action.

| handleCursorChanged

    handleCursorChanged ( self,  editor )

### Private slot handling the cursorChanged signal of the viewmanager.

#### Arguments

editor
  editor window

| handleDebug

    handleDebug ( self,  debugProject )

### Private method to handle the debug actions.

#### Arguments

debugProject
  flag indicating debugging the current project (1) or script (0)

| handleDebugProject

    handleDebugProject ( self )

Private slot to handle the debug project action.

| handleDebugScript

    handleDebugScript ( self )

Private slot to handle the debug script action.

| handleEditBreakpoint

    handleEditBreakpoint ( self )

Private slot to handle the `Edit breakpoint` action.

| handleEditorOpened

    handleEditorOpened ( self,  fn )

### Private slot to handle the editorOpened signal.

#### Arguments

fn
  filename of the opened editor

| handleEval

    handleEval ( self )

Private method to handle the Eval action.

| handleException

    handleException ( self,  status )

### Private method to handle an exception of the debugged program.

#### Arguments

status
  exception information

| handleExceptionsFilter

    handleExceptionsFilter ( self )

Private slot for displaying the exception filter dialog.

| handleExec

    handleExec ( self )

Private method to handle the Exec action.

| handleExit

    handleExit ( self,  status )

### Private method to handle the debugged program terminating.

#### Arguments

status
  exit code of the debugged program (int)

| handleLastEditorClosed

    handleLastEditorClosed ( self )

Private slot to handle the closeProgram signal.

| handleLineChange

    handleLineChange (
            self,
            fn,
            line,
            )

### Private method to handle a change to the current line.

#### Arguments

fn
  filename (string)
line
  linenumber (int)

| handleNextBreakpoint

    handleNextBreakpoint ( self )

Private slot to handle the `Next breakpoint` action.

| handlePassiveDebugStarted

    handlePassiveDebugStarted ( self,  fn )

### Private slot to handle a passive debug session start.

#### Arguments

fn
  filename of the debugged script

| handlePreviousBreakpoint

    handlePreviousBreakpoint ( self )

Private slot to handle the `Previous breakpoint` action.

| handleProfile

    handleProfile ( self,  runProject )

### Private method to handle the profile actions.

#### Arguments

runProject
  flag indicating profiling of the current project (1) or script (0)

| handleProfileProject

    handleProfileProject ( self )

Private slot to handle the profile project action.

| handleProfileScript

    handleProfileScript ( self )

Private slot to handle the profile script action.

| handleProjectBp

    handleProjectBp ( self )

Private slot to display all breakpoints of the current project

| handleProjectClosed

    handleProjectClosed ( self )

Private slot to handle the projectClosed signal.

| handleProjectOpened

    handleProjectOpened ( self )

Private slot to handle the projectOpened signal.

| handleProjectSessionLoaded

    handleProjectSessionLoaded ( self )

Private slot to handle the projectSessionLoaded signal.

| handleRestart

    handleRestart ( self )

Private slot to handle the restart action to restart the last debugged file.

| handleRun

    handleRun ( self,  runProject )

### Private method to handle the run actions.

#### Arguments

runProject
  flag indicating running the current project (1) or script (0)

| handleRunProject

    handleRunProject ( self )

Private slot to handle the run project action.

| handleRunScript

    handleRunScript ( self )

Private slot to handle the run script action.

| handleShowBreakpointsMenu

    handleShowBreakpointsMenu ( self )

Private method to handle the show breakpoints menu signal.

| handleStep

    handleStep ( self )

Private method to handle the Step action.

| handleStepOut

    handleStepOut ( self )

Private method to handle the Step Out action.

| handleStepOver

    handleStepOver ( self )

Private method to handle the Step Over action.

| handleStepQuit

    handleStepQuit ( self )

Private method to handle the Step Quit action.

| handleSyntaxError

    handleSyntaxError ( self,  status )

### Private method to handle a syntax error in the debugged program.

#### Arguments

status
  information about the syntax error

| handleToggleBreakpoint

    handleToggleBreakpoint ( self )

Private slot to handle the `Set/Reset breakpoint` action.

| initActions

    initActions ( self )

Method defining the user interface actions.

| initMenu

    initMenu ( self )

### Public slot to initialize the project menu.

#### Returns

the generated menu

| initToolbar

    initToolbar ( self )

### Public slot to initialize the project toolbar.

#### Returns

the generated toolbar

| newBreakpointWithProperties

    newBreakpointWithProperties (
            self,
            fn,
            line,
            properties,
            )

### Public method to set a new breakpoint and its properties.

#### Arguments

fn
  filename of the breakpoint operation (string)
line
  line number of the breakpoint
properties
  properties for the breakpoint (tuple) (condition, temporary flag, enabled flag, ignore count)

| resetUI

    resetUI ( self )

Private slot to reset the user interface.

| setArgvHistory

    setArgvHistory ( self,  argsStr )

### Public slot to initialize the argv History used for debugging.

#### Arguments

argsStr
  the commandline argumnets (string or QString)

| setBreakpointProperties

    setBreakpointProperties (
            self,
            fn,
            line,
            properties,
            )

### Public method to set a breakpoints properties.

#### Arguments

fn
  filename of the breakpoint operation (string)
line
  line number of the breakpoint
properties
  properties for the breakpoint (tuple) (condition, temporary flag, enabled flag, ignore count)

| setExcList

    setExcList ( self,  excList )

### Public slot to initialize the exceptions type list.

#### Arguments

excList
  list of exception types (list of strings)

| setExceptionReporting

    setExceptionReporting ( self,  exceptions )

### Public slot to initialize the exception reporting flag.

#### Arguments

exceptions
  flag indicating exception reporting status (boolean)

| setWdHistory

    setWdHistory ( self,  wdStr )

### Public slot to initialize the wd History used for debugging.

#### Arguments

wdStr
  the working directory (string or QString)

| shutdownServer

    shutdownServer ( self )

### Public method to shutdown the debug server.

This is needed to cleanly close the sockets on Win OS.

#### Returns

always true

| toggleBreakpoint

    toggleBreakpoint (
            self,
            fn,
            line,
            )

### Public method to toggle a breakpoint.

#### Arguments

fn
  filename of the breakpoint operation (string)
line
  line number of the breakpoint

Table of Contents

This document was automatically generated by HappyDoc version 2.1